# Class PropertyNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException
jakarta.el.PropertyNotFoundException

All Implemented Interfaces:
  `Serializable`

public class PropertyNotFoundException extends ELException
Exception thrown when a property is not found during EL evaluation.

This exception is raised when an expression attempts to access a property that does not exist on the target object.

Since:
  EL 2.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PropertyNotFoundException()`
Constructs a new instance with no detail message or cause.
`PropertyNotFoundException(String message)`
Constructs a new instance with the specified detail message and no cause.
`PropertyNotFoundException(String message, Throwable cause)`
Constructs a new instance with the specified detail message and cause.
`PropertyNotFoundException(Throwable cause)`
Constructs a new instance with the specified cause and no detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyNotFoundException

public PropertyNotFoundException()
Constructs a new instance with no detail message or cause.

### PropertyNotFoundException

public PropertyNotFoundException(String message)
Constructs a new instance with the specified detail message and no cause.

Parameters:
  `message` - the detail message

### PropertyNotFoundException

public PropertyNotFoundException(Throwable cause)
Constructs a new instance with the specified cause and no detail message.

Parameters:
  `cause` - the underlying cause

### PropertyNotFoundException

public PropertyNotFoundException(String message, Throwable cause)
Constructs a new instance with the specified detail message and cause.

Parameters:
  `message` - the detail message
  `cause` - the underlying cause